#ifndef __MODBUS_DIO_PARAMS_H
#define __MODBUS_DIO_PARAMS_H

#include "mb.h"
#include "mbport.h"
#include "modbus.h"
#include <stdbool.h>


#ifdef __cplusplus
extern "C" {
#endif

  
//
uint16_t mb_init_dio_params(uint16_t i);
  
// -------------------------------------------------------------------------- //
//                          Установка параметров
// -------------------------------------------------------------------------- //

//
mb_delay_action_t mb_set_di_state(void);

//
mb_delay_action_t mb_set_din_mode(void);

//
mb_delay_action_t mb_set_do(void);



#ifdef __cplusplus
}
#endif

#endif // __MODBUS_DIO_PARAMS_H